Package org.apache.wiki.api.exceptions

## Class NoRequiredPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.wiki.api.exceptions.WikiException
      - - org.apache.wiki.api.exceptions.NoRequiredPropertyException

All Implemented Interfaces:
  `java.io.Serializable`

    public class NoRequiredPropertyException
    extends WikiException

Marks an erroneous jspwiki.properties file. Certain properties have been marked as "required", and if you do not provide a good value for a property, you'll see this exception.

Check `jspwiki.properties` for the required properties.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`NoRequiredPropertyException​(java.lang.String msg, java.lang.String key)` Constructs an exception.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoRequiredPropertyException

    public NoRequiredPropertyException​(java.lang.String msg,
                                       java.lang.String key)

Constructs an exception.

Parameters:
  `msg` - Message to show
  `key` - The key of the property in question.